Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036798
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2017-09-05 17:562017-09-06 16:58
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision5cf3ad9801ae
ProjectionnoneETAnoneTarget Version3.0PR17Q3
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelQA functional test
Regression date2017-04-07
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/094c025e0735 [^]
Triggers an Emergency PackNo
Summary

0036798: Not possible to receive a Return Material for a Bin in a not available status

DescriptionIt is not possible to receive a Return Material for a Bin in a not available status. However, this restriction should only be applied when the stock is leaving the Warehouse, not when is entering it)
Steps To ReproduceLogin as F&B Admin

1.-
Go to Goods Shipment window and create a new record with:
* Organization: F&B US West Coast
* Business Partner: Healthy Food Supermarkets, Co.
* Rest of the fields as defaulted
Move to Lines Tab and create a new record with:
* Product: Cola
* Movement Quantity: 10
* Storage Bin: WC-0-0-0
* Rest of the fields as defaulted
Click on complete button and the Ok

2.-
Go to Warehouse and Storage Bins window
* Select US West Coast Warehouse
Move to Storage Bins Tab
* Select WC-0-0-0 Strorage bin
Click on Change Status button and select Blocked. Click on Done.

3.-
Go to Return from Customer Window and create a new record with:
* Organization: F&B US West Coast
* Business Partner: Healthy Food Supermarkets, Co.
* Rest of the fields as defaulted
Click on Pick/Edit Lines
* Select the record with the same document number and Product as the Goods Shipment created previously
* Set 10 as returned in the grid
click on done and then on Book and Ok.

4.-
Go to Return Material Receipt Window and create a new record with:
* Organization: F&B US West Coast
* Business Partner: Healthy Food Supermarkets, Co.
* Rest of the fields as defaulted
Click on Pick/Edit Lines
* Select the record with the same document number and Product as the Return From Customer created previously
* Set 10 as returned in the grid
click on done and then on Complete and Ok.

The process fails with the message:
In line 10 the Storage Bin of the Line has a Not Available Inventory Status. It is not opssible to issue a Product from a Not Available Storage Bin
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036796 closeddmiguelez Not possible to receive a Return Material for a Bin in a not available status 

-  Notes
(0098868)
hgbot (developer)
2017-09-06 16:57

Repository: erp/backports/3.0PR17Q3
Changeset: 5cf3ad9801aedf7da4ab785fb57bc46a5aee51dc
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 05 18:46:27 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q3/rev/5cf3ad9801aedf7da4ab785fb57bc46a5aee51dc [^]

Fixes Issue 36798. Check that the Inventory Status of the Bin has the
Available flag checked for Goods Shipments and Return To Vendor Shipments
(outgoing warehouse transactions in the M_INOUT_POST)

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0098869)
aferraz (developer)
2017-09-06 16:58

Code review OK

- Issue History
Date Modified Username Field Change
2017-09-05 18:47 dmiguelez Type defect => backport
2017-09-05 18:47 dmiguelez Target Version => 3.0PR17Q3
2017-09-06 08:56 aferraz Assigned To Triage Finance => dmiguelez
2017-09-06 16:57 hgbot Checkin
2017-09-06 16:57 hgbot Note Added: 0098868
2017-09-06 16:57 hgbot Status scheduled => resolved
2017-09-06 16:57 hgbot Resolution open => fixed
2017-09-06 16:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q3/rev/5cf3ad9801aedf7da4ab785fb57bc46a5aee51dc [^]
2017-09-06 16:58 aferraz Review Assigned To => aferraz
2017-09-06 16:58 aferraz Note Added: 0098869
2017-09-06 16:58 aferraz Status resolved => closed
2017-09-06 16:58 aferraz Fixed in Version => 3.0PR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker